<?php
class Vendorfuel_Admin_Page {

	public function register_menu() {
		$slug = 'vendorfuel';
		$capability = 'edit_posts';

		add_menu_page(
			'VendorFuel',
			'VendorFuel', 
			$capability, 
			$slug,
			array( $this, 'render_page' ),
			VENDORFUEL_ROOT_URL . 'assets/img/vf-icon.png'
		);

		$submenus = array(
			array(
				'title' => 'Dashboard',
				'slug'  => 'dashboard',
			),
			array(
				'title' => 'Catalog',
				'slug'  => 'catalog',
			),
			array(
				'title' => 'Orders',
				'slug'  => 'orders',
			),
			array(
				'title' => 'Purchasing',
				'slug'  => 'purchasing',
			),
			array(
				'title' => 'Punchout',
				'slug'  => 'punchout',
			),
			array(
				'title' => 'Customers',
				'slug'  => 'customers',
			),
			array(
				'title' => 'Reports',
				'slug'  => 'reports',
			),
			array(
				'title' => 'Accounting',
				'slug'  => 'accounting',
			),
			array(
				'title' => 'Payments',
				'slug'  => 'payments',
			),
			array(
				'title' => 'Taxes',
				'slug'  => 'taxes',
			),
			array(
				'title' => 'Shipping',
				'slug'  => 'shipping',
			),
			array(
				'title' => 'Email',
				'slug'  => 'email',
			),
			array(
				'title' => 'Admin Accounts',
				'slug'  => 'admin',
			),
			array(
				'title' => 'Settings',
				'slug'  => 'settings',
			),
			array(
				'title' => 'Subscription',
				'slug'  => 'billing',
			),
		);

		foreach ($submenus as $submenu) {
			$route = $submenu['slug'] . ( isset( $submenu['path'] ) ? $submenu['path'] : '');
			add_submenu_page( 
				$slug,
				$submenu['title'],
				'<span id="vf-menu-item-' . $submenu['slug'] . '">' . $submenu['title'] . '</span>', 
				$capability,
				'vendorfuel#!/' . $route,
				array( $this, 'render_page' )
			);
		}

		add_submenu_page(
			$slug,
			'Logout',
			'<span style="display: none;" id="vf-menu-item-logout">Logout</span>',
			$capability,
			'vendorfuel#!/logout',
			array( $this, 'render_page' )
		);

		remove_submenu_page( $slug, $slug );
	}

	public function render_page() {
		?>
		<div id="vendorfuel-plugin" class="wrap" 
			ng-app="vendorfuelApp"
			ng-cloak
			resize>
			<vf-header></vf-header>
			<ui-view></ui-view>
		</div>
	<?php }
}

function vf_add_help_tab(){
	$screen = get_current_screen();
	$plugin_page = admin_url( 'admin.php?page=vendorfuel' );

	// var_dump( $screen );
	if ( $screen->id === 'toplevel_page_vendorfuel' ) {
		$screen->add_help_tab( array (
            'id'      => 'vendorfuel_help',
            'title'   => 'Help & Support',
            'content' => 
				'<h2>VendorFuel Help & Support</h2>' .
				'<p>We\'d love to hear from you!</p>' .
				'<p>' .
					'<a class="button button-primary" href="tel:+18559983835">Call us at 1-855-998-3835</a> ' .
					'<a class="button" href="mailto:info@vendorfuel.com">Email us</a>' .
				'</p>' .
				'<dl>' .
				'<dt>Monday - Friday</dt>' .
				'<dd>6:30 a.m. - 5:00 p.m.</dd>' .
				'<dt>Saturday - Sunday</dt>' .
				'<dd>CLOSED</dd>' .
				'</dl>'
			)
		);		
		$screen->add_help_tab( array (
            'id'      => 'vendorfuel_themes',
            'title'   => 'Themes',
            'content' => 
				'<h2>Supported Themes</h2>' .
				'<p>Default VendorFuel templates are designed to work best with themes that use Bootstrap 4.</p>' .
				'<p><a class="button button-primary button-hero" href="https://wordpress.org/themes/vendorfuel/" target="_blank">Download the VendorFuel theme</a></p>',
			)
		);
		$screen->add_help_tab( array (
            'id'      => 'vendorfuel_products',
            'title'   => 'Add Products',
            'content' => 
				'<h2>Add Products</h2>' .
				'<ul>' .
					'<li>Add a SKU to your product(s).</li>' .
					'<li>Add the name of your product(s).</li>' .
					'<li>Add your product to a price Sheet.</li>' .
					'<li>Add a price to your product(s).</li>' .
				'</ul>' .
				'<p>You can add add and remove products by heading over to the <a href="' . $plugin_page . '#!/catalog-products/0">Products</a> section of the plugin. Make sure you go through each of the steps for adding a product as they are all required in order for your product to available for purchase in your catalog.</p>',
			)
		);
		$screen->add_help_tab( array (
            'id'      => 'vendorfuel_payments',
            'title'   => 'Payment Processors',
            'content' => 
				'<h2>Add Payment Processors</h2>' .
				'<p>To accept credit card payments, you will need to add a payment processor for your store transactions.</p>' .
				'<p>Adding a payment processor is easy! You can add your payment processor by heading over to the <a href="' . $plugin_page . '#!/payments">Payments</a> section of the plugin. Don\'t know what a payment processor is or how to sign up for one? Take a look at a few of the payment processors that we recommend:</p>' .
				'<ul>' .
					'<li><a href="https://www.qualpay.com/" target="_blank">Qualpay</a></li>' .
					'<li><a href="https://www.authorize.net/" target="_blank">AuthorizeNet</a></li>' .
					'<li><a href="https://www.paypal.com/" target="_blank">PayPal</a></li>' .
					'<li><a href="https://www.squareup.com/" target="_blank">Square</a></li>' .
					'<li><a href="https://www.stripe.com/" target="_blank">Stripe</a></li>' .
					'<li><a href="https://www.payfabric.com/" target="_blank">PayFabric</a></li>' .
				'</ul>'
			)
		);
		$screen->add_help_tab( array (
            'id'      => 'vendorfuel_shipping',
            'title'   => 'Shipping Methods',
            'content' => 
				'<h2>Add Shipping Methods</h2>' .
				'<p>If you don\'t add a shipping method, your store will default shipping to free. You can change this via the <a href="' . $plugin_page . '#!/shipping">Shipping</a> section of the plugin. If you would like to sign up with Shippo for live rates, use the link below.</p>' .
				'<p>' .
					'<a class="button button-primary" href="https://www.goshippo.com/" target="_blank">Go to Shippo</a>' .
				'</p>'
			)
		);
		$screen->add_help_tab( array (
            'id'      => 'vendorfuel_emails',
            'title'   => 'Emails',
            'content' => 
				'<h2>Set up Store Emails</h2>' .
				'<ul>' .
					'<li>Setup SMTP for your store emails.</li>' .
					'<li>Customize Your Store\'s Communication Emails.</li>' .
				'</ul>' .
				'<p>SMTP is not required for your store however your emails will be sent by the store administrator\'s email (the email that was used for the store sign up) by default. You can customize emails sent by your store such as the checkout email, registration email and more by heading over to the <a href="' . $plugin_page . '#!/email">Emails</a> section of the plugin. You do not need to customize these emails but until you do they will be branded with VendorFuel logos and information.</p>' 
			)
		);
		$screen->add_help_tab( array (
            'id'      => 'vendorfuel_tax',
            'title'   => 'Tax Rates',
            'content' => 
				'<h2>Set up Tax Rates</h2>' .
				'<p>You can select the states that you will be collecting taxes in via the <a href="' . $plugin_page . '#!/taxes">Taxes</a> section of the plugin. We recommend using Avalara to make generating taxes easier.</p>' .
				'<p>' .
					'<a class="button button-primary" href="https://www.avalara.com/" target="_blank">Go to Avalara</a>' .
				'</p>'
			)
		);
		$screen->set_help_sidebar( vf_get_help_sidebar_content() );
	}
}

function vf_get_help_sidebar_content() {
	$content = '<p><strong>For more information about VendorFuel:</strong></p>';
	$content .= '<ul>';
	$content .= '<li><a href="https://docs.vendorfuel.com/" target="_blank">Documentation<span class="dashicons dashicons-external" aria-hidden="true"></span></a></li>';
	$content .= '<li><a href="https://vendorfuel.com/contact" target="_blank">Contact Us<span class="dashicons dashicons-external" aria-hidden="true"></span></a></li>';
	$content .= '<li><a href="mailto:support@vendorfuel.com">Email Us</a></li>';
	$content .= '<li><a href="#!/tutorial">Tutorial</a></li>';
	$content .= '</ul>';
	return $content;
}

add_action( 'admin_head', 'vf_add_help_tab');

?>
